"use strict";
const configuration_1 = require("./src/config/configuration");
const getDBConnectionOptions = () => {
    const configuration = configuration_1.getConfiguration();
    return configuration.DATABASE_URL
        ? {
            type: 'postgres',
            url: configuration.DATABASE_URL,
            ssl: {
                rejectUnauthorized: false
            }
        }
        : {
            type: 'postgres',
            host: configuration.DB_HOST,
            port: configuration.DB_PORT,
            username: configuration.DB_USERNAME,
            password: configuration.DB_PASSWORD,
            database: configuration.DB_DATABASE
        };
};
const config = {
    ...getDBConnectionOptions(),
    synchronize: false,
    migrationsRun: true,
    migrations: [`${__dirname}/migrations/*.js`],
    migrationsTableName: 'migrations_247_certificate'
};
module.exports = config;
//# sourceMappingURL=ormconfig.js.map