"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateConfiguration = exports.getConfiguration = void 0;
const config_interface_1 = require("./config.interface");
const lodash_1 = require("lodash");
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
exports.getConfiguration = lodash_1.memoize(() => ({
    DATABASE_URL: process.env.DATABASE_URL,
    DB_HOST: process.env.DB_HOST ?? 'localhost',
    DB_PORT: Number(process.env.DB_PORT ?? 5432),
    DB_USERNAME: process.env.DB_USERNAME ?? 'postgres',
    DB_PASSWORD: process.env.DB_PASSWORD ?? 'postgres',
    DB_DATABASE: process.env.DB_DATABASE ?? 'origin',
    REDIS_URL: process.env.REDIS_URL ?? { host: 'localhost', port: 6379 }
}));
const validateConfiguration = async () => {
    const configValues = exports.getConfiguration();
    await class_validator_1.validateOrReject(class_transformer_1.plainToClass(config_interface_1.CommonConfiguration, configValues));
};
exports.validateConfiguration = validateConfiguration;
//# sourceMappingURL=configuration.js.map