"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateConfiguration = exports.getConfiguration = void 0;
const config_interface_1 = require("./config.interface");
const lodash_1 = require("lodash");
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
exports.getConfiguration = lodash_1.memoize(() => ({
    MAX_SYNCHRONIZATION_ATTEMPTS_FOR_EVENT: process.env.MAX_SYNCHRONIZATION_ATTEMPTS_FOR_EVENT
        ? Number(process.env.MAX_SYNCHRONIZATION_ATTEMPTS_FOR_EVENT)
        : 3,
    ISSUE_BATCH_SIZE: process.env.ISSUE_BATCH_SIZE
        ? parseInt(process.env.ISSUE_BATCH_SIZE)
        : 10,
    CLAIM_BATCH_SIZE: process.env.CLAIM_BATCH_SIZE
        ? parseInt(process.env.CLAIM_BATCH_SIZE)
        : 20,
    TRANSFER_BATCH_SIZE: process.env.TRANSFER_BATCH_SIZE
        ? parseInt(process.env.TRANSFER_BATCH_SIZE)
        : 20
}));
const validateConfiguration = async () => {
    const configValues = exports.getConfiguration();
    await class_validator_1.validateOrReject(class_transformer_1.plainToClass(config_interface_1.OffchainCertificateConfiguration, configValues));
};
exports.validateConfiguration = validateConfiguration;
//# sourceMappingURL=configuration.js.map